From b50e89aa833e6e942700b05cec8fb4ef5a0eebaf Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 15:32:26 +0200
Subject: [PATCH 06/15] Shorten the rules file using the dh(1) tool.

---
 debian/alex4.manpages |    1 +
 debian/changelog      |    5 +--
 debian/rules          |   81 +++++++++++-------------------------------------
 3 files changed, 22 insertions(+), 65 deletions(-)
 create mode 100644 debian/alex4.manpages

diff --git a/debian/alex4.manpages b/debian/alex4.manpages
new file mode 100644
index 0000000..e6f3b20
--- /dev/null
+++ b/debian/alex4.manpages
@@ -0,0 +1 @@
+debian/alex4.6
diff --git a/debian/changelog b/debian/changelog
index 562fb79..a93cbaf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,9 +13,8 @@ alex4 (1.1-4) UNRELEASED; urgency=low
   * Convert to the 3.0 (quilt) source format.
   * Add misc:Depends to the alex4-data package just in case.
   * Expand the alex4-data package's long description.
-  * Bump the debhelper compatibility level to 7:
-    - let dh_clean remove the *-stamp files
-    - use dh_prep instead of dh_clean -k
+  * Bump the debhelper compatibility level to 7 and shorten the rules file
+    using the dh(1) tool.
 
  -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
 
diff --git a/debian/rules b/debian/rules
index b9caad6..24a525b 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,75 +3,32 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
 CFLAGS = -Wall -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)), -O0, -O2)
 
-
-build: build-arch build-indep
-
-build-arch: build-arch-stamp
-build-arch-stamp:
-	$(MAKE) -C src CFLAGS="$(CFLAGS)" \
-		PREFIX=/usr DATADIR=/usr/share/games/alex4
+build: build-stamp
+build-stamp:
+	dh build --before auto_build
+	dh_auto_build -D src -- CFLAGS="$(CFLAGS)" \
+		DATADIR=/usr/share/games/alex4
+	dh build --remaining
 	touch $@
 
-build-indep:
-# nothing to do here
-
-
 clean:
-	dh_testdir
-	dh_testroot
-	[ ! -f src/Makefile ] || $(MAKE) -C src clean
-	dh_clean
-
-
-install: install-indep install-arch
-
-install-indep: build-indep
-	dh_testdir
-	dh_testroot
-	dh_prep -i
-	dh_installdirs -i
-	dh_install -i
-
-install-arch: build-arch
-	dh_testdir
-	dh_testroot
-	dh_prep -a
-	dh_installdirs -a
-	dh_install -a
-
+	dh clean --before auto_clean
+	dh_auto_clean -D src
+	dh clean --remaining
 
-binary: binary-arch binary-indep
+install:	install-stamp
+install-stamp:	build
+	dh install
+	touch install-stamp
 
-binary-indep: build-indep install-indep
-	dh_testdir -i
-	dh_testroot -i
-	dh_installchangelogs -i
-	dh_installdocs -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+binary:	binary-arch binary-indep
 
-binary-arch: build-arch install-arch
-	dh_testdir -a
-	dh_testroot -a
-	dh_installchangelogs -a
-	dh_installdocs -a
-	dh_installmenu -a
-	dh_installman -a debian/alex4.6
-	dh_strip -a
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
+binary-arch:	install
+	dh $@
 
+binary-indep:	install
+	dh $@
 
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
+.PHONY: build clean binary install
-- 
1.7.2.3

